Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 871525 - dev-python/QtPy - add ~ppc64 keyword
Summary: dev-python/QtPy - add ~ppc64 keyword
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Keywording (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Python Gentoo Team
URL:
Whiteboard:
Keywords: CC-ARCHES, KEYWORDREQ
Depends on: 872041
Blocks: 874045 874048
  Show dependency tree
 
Reported: 2022-09-18 18:27 UTC by Chris Kerr
Modified: 2022-11-22 20:01 UTC (History)
5 users (show)

See Also:
Package list:
dev-python/QtPy ppc64 dev-python/PyQtWebEngine ppc64
Runtime testing required: ---
nattka: sanity-check+


Attachments
Patch to ebuild and package.use.mask (0001-Add-ppc64-support-to-QtPy-with-PyQt5.patch,2.53 KB, patch)
2022-09-18 18:27 UTC, Chris Kerr
no flags Details | Diff
New patch without ppc-specific code in the ebuild (0001-Add-ppc64-support-to-QtPy-with-PyQt5.patch,1.99 KB, patch)
2022-09-22 14:07 UTC, Chris Kerr
no flags Details | Diff
Patch with changes applied to v2.2.0 ebuild too (0001-Add-ppc64-support-to-QtPy-with-PyQt5.patch,2.70 KB, patch)
2022-09-22 14:10 UTC, Chris Kerr
no flags Details | Diff
Rebased patch (0001-Add-ppc64-support-to-QtPy-with-PyQt5.patch,1.70 KB, patch)
2022-09-24 12:54 UTC, Chris Kerr
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Kerr 2022-09-18 18:27:51 UTC
Created attachment 812182 [details, diff]
Patch to ebuild and package.use.mask

Since some USE flags are blocked on ppc64 with profiles/arch/powerpc/package.use.mask, the ebuild needs to be modified to disable testing for those features.
Comment 1 Chris Kerr 2022-09-18 18:34:11 UTC
As a minimal implementation I only got it working for PyQt5 and disabled PySide2 support in the package.use.mask.

If supporting pyside2 is also required then I can do a separate keywording request for that.
Comment 2 NATTkA bot gentoo-dev 2022-09-18 18:36:22 UTC Comment hidden (obsolete)
Comment 3 Chris Kerr 2022-09-18 18:41:00 UTC
As an alternative to disabling the QtLocation and QtSpeech tests on ppc64, we could remove the package.use.mask blocks on their use flags and then stabilize the corresponding packages so that PyQt5 can use them as dependencies.
Comment 4 Chris Kerr 2022-09-18 18:41:44 UTC
(In reply to NATTkA bot from comment #2)
> Sanity check failed:
> 

The attached patch contains fixes to the broken sanity check.
Comment 5 Andrew Ammerlaan gentoo-dev 2022-09-20 10:15:32 UTC
(In reply to Chris Kerr from comment #3)
> As an alternative to disabling the QtLocation and QtSpeech tests on ppc64,
> we could remove the package.use.mask blocks on their use flags and then
> stabilize the corresponding packages so that PyQt5 can use them as
> dependencies.

This would be my preferred solution if possible.  This way we don't need arch specific stuff in the qtpy ebuild.
Comment 6 Chris Kerr 2022-09-20 12:06:43 UTC
I created an issue to stabilize qtlocation and qtspeech.

The QtPy ebuild also requires PyQt5 to have the 'bluetooth' USE flag but there are no tests relying on QtBluetooth, so this requirement can be dropped.
Comment 7 NATTkA bot gentoo-dev 2022-09-22 07:00:31 UTC Comment hidden (obsolete)
Comment 8 Chris Kerr 2022-09-22 14:07:42 UTC
Created attachment 813658 [details, diff]
New patch without ppc-specific code in the ebuild

The 'bluetooth' USE flag is not needed for testing with PyQt5 as there are no tests relying on QtBluetooth
Comment 9 Chris Kerr 2022-09-22 14:10:15 UTC
Created attachment 813661 [details, diff]
Patch with changes applied to v2.2.0 ebuild too
Comment 10 Andrew Ammerlaan gentoo-dev 2022-09-22 14:45:38 UTC
Alright looks mostly good, though we probably should also package.use.mask the pyside6 and pyqt6 flags on ppc64 for the future when qt6 gets unmasked. 

Note that as the patch is now you are unmasking the flag on both ppc and ppc64. To unmask it on pcc64 but keep the mask on ppc, the entries should be moved from powerpc/package.use.mask to powerpc/ppc32/package.use.mask instead of deleted.

@Qt are you okay with the unmasking of the location and speech flags of PyQt5 on ppc64. In fact we can probably also remove the mask of the bluetooth flag since qtbluetooth is also keyworded for ppc64.
Comment 11 Davide Pesavento gentoo-dev 2022-09-22 18:17:02 UTC
(In reply to Andrew Ammerlaan from comment #10)
> @Qt are you okay with the unmasking of the location and speech flags of
> PyQt5 on ppc64. In fact we can probably also remove the mask of the
> bluetooth flag since qtbluetooth is also keyworded for ppc64.
Fine with me.
Comment 12 Larry the Git Cow gentoo-dev 2022-09-23 08:40:49 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=85f310c7245b1e11da9b619919e66de77bf5396b

commit 85f310c7245b1e11da9b619919e66de77bf5396b
Author:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
AuthorDate: 2022-09-23 08:38:01 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
CommitDate: 2022-09-23 08:38:01 +0000

    profiles/arch/powerpc: unmask some PyQt5 flags on ppc64
    
    Bug: https://bugs.gentoo.org/871525
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

 profiles/arch/powerpc/package.use.mask              | 5 -----
 profiles/arch/powerpc/ppc32/package.use.mask        | 5 +++++
 profiles/arch/powerpc/ppc64/package.use.stable.mask | 5 +++++
 3 files changed, 10 insertions(+), 5 deletions(-)
Comment 13 NATTkA bot gentoo-dev 2022-09-23 08:44:23 UTC Comment hidden (obsolete)
Comment 14 Larry the Git Cow gentoo-dev 2022-09-23 08:52:31 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9e53e9cc12d18048cd7be0a1fa4c2a2dc125dcab

commit 9e53e9cc12d18048cd7be0a1fa4c2a2dc125dcab
Author:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
AuthorDate: 2022-09-23 08:51:30 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan@gentoo.org>
CommitDate: 2022-09-23 08:51:30 +0000

    profiles/arch/powerpc: mask QtPy[pyside2,pyside6,pyqt6] on ppc(64)
    
    Bug: https://bugs.gentoo.org/871525
    Signed-off-by: Andrew Ammerlaan <andrewammerlaan@gentoo.org>

 profiles/arch/powerpc/package.use.mask | 5 +++++
 1 file changed, 5 insertions(+)
Comment 15 Chris Kerr 2022-09-24 12:54:09 UTC
Created attachment 813958 [details, diff]
Rebased patch
Comment 16 Chris Kerr 2022-11-13 14:32:24 UTC
Are you waiting for any more input from me?
Comment 17 Andrew Ammerlaan gentoo-dev 2022-11-14 15:31:57 UTC
(In reply to Chris Kerr from comment #16)
> Are you waiting for any more input from me?

No, we're waiting on the ppc64 team to process this.
Comment 18 Arthur Zamarin archtester gentoo-dev 2022-11-22 20:01:41 UTC
ppc64 done

all arches done